 ``MODE_CTR``, its length must be in the range **[0..7]**.

        If not provided for ``MODE_EAX``, a random byte string is generated (you
        can read it back via the ``nonce`` attribute).

    *   **segment_size** (*integer*) --
        (Only ``MODE_CFB``).The number of **bits** the plaintext and ciphertext
        are segmented in. It must be a multiple of 8.
        If not specified, it will be assumed to be 8.

    *   **mac_len** : (*integer*) --
        (Only ``MODE_EAX``)
        Length of the authentication tag, in bytes.
        It must be no longer than 8 (default).

    *   **initial_value** : (*integer*) --
        (Only ``MODE_CTR``). The initial value for the counter within
        the counter block. By default it is **0**.

:Return: a DES object, of the applicable mode.
)